petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSolvePackageRegister

Registers a MatSolverPackage that works for a particular matrix type

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolverPackageRegister(const MatSolverPackage package,const MatType mtype,MatFactorType ftype,PetscErrorCode (*getfactor)(Mat,MatFactorType,Mat*))

### Input Parameters

| package | - name of the package, for example petsc or superlu Many br
| mtype | - the matrix type that works with this package Many br
| ftype | - the type of factorization supported by the package Many br
| getfactor | - routine that will create the factored matrix ready to be used Many br

Many br

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages